package com.bootdo.system.vo;

/**
 * 用户详情
 *
 * @author Mr.xiBel
 * @date 2022/4/1
 **/

public class UserInfoVO {
    private Long userId;

    /**
     * 用户名
     */
    private String username;
    private String salt;
    private String lockFlag;
    private String phone;

    /**
     * 真实姓名
     */
    private String realName;

    /**
     * 性别 1男0女
     */
    private Integer sex;

    /**
     * 单位名称
     */
    private String unitName;

    /**
     * 手机号
     */
    private String mobile;
    private String email;

    /**
     * 省份
     */
    private String province;


    /**
     * 市区
     */
    private String city;
    private String area;

    /**
     * 行业
     */
    private String industry;

    /**
     * 办公号码
     */
    private String office;
    private String home;

    /**
     * 传真号码
     */
    private String faxNumber;
    private String qqNumber;
    private String post;

    /**
     * 通讯地址
     */
    private String postalAddress;

    /**
     * 邮编
     */
    private String postCode;

    /**
     * 身份证号
     */
    private String idEntityCards;
    private String delFlag;

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getSalt() {
        return salt;
    }

    public void setSalt(String salt) {
        this.salt = salt;
    }

    public String getLockFlag() {
        return lockFlag;
    }

    public void setLockFlag(String lockFlag) {
        this.lockFlag = lockFlag;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getProvince() {
        return province;
    }

    public void setProvince(String province) {
        this.province = province;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getArea() {
        return area;
    }

    public void setArea(String area) {
        this.area = area;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public String getOffice() {
        return office;
    }

    public void setOffice(String office) {
        this.office = office;
    }

    public String getHome() {
        return home;
    }

    public void setHome(String home) {
        this.home = home;
    }

    public String getFaxNumber() {
        return faxNumber;
    }

    public void setFaxNumber(String faxNumber) {
        this.faxNumber = faxNumber;
    }

    public String getQqNumber() {
        return qqNumber;
    }

    public void setQqNumber(String qqNumber) {
        this.qqNumber = qqNumber;
    }

    public String getPost() {
        return post;
    }

    public void setPost(String post) {
        this.post = post;
    }

    public String getPostalAddress() {
        return postalAddress;
    }

    public void setPostalAddress(String postalAddress) {
        this.postalAddress = postalAddress;
    }

    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    public String getIdEntityCards() {
        return idEntityCards;
    }

    public void setIdEntityCards(String idEntityCards) {
        this.idEntityCards = idEntityCards;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return "UserInfoVO{" +
                "userId=" + userId +
                ", username='" + username + '\'' +
                ", salt='" + salt + '\'' +
                ", lockFlag='" + lockFlag + '\'' +
                ", phone='" + phone + '\'' +
                ", realName='" + realName + '\'' +
                ", sex=" + sex +
                ", unitName='" + unitName + '\'' +
                ", mobile='" + mobile + '\'' +
                ", province='" + province + '\'' +
                ", city='" + city + '\'' +
                ", area='" + area + '\'' +
                ", industry='" + industry + '\'' +
                ", office='" + office + '\'' +
                ", home='" + home + '\'' +
                ", faxNumber='" + faxNumber + '\'' +
                ", qqNumber='" + qqNumber + '\'' +
                ", post='" + post + '\'' +
                ", postalAddress='" + postalAddress + '\'' +
                ", postCode='" + postCode + '\'' +
                ", idEntityCards='" + idEntityCards + '\'' +
                ", delFlag='" + delFlag + '\'' +
                '}';
    }
}
